applications_mysql_pkgs:
  pkg.installed:
    - pkgs:
      - mariadb

applications_mysql_enable:
  service.enabled:
    - name: mariadb
    - require:
      - applications_mysql_pkgs
  file.directory:
    - name: /var/lib/mysql
    - create: False
    - replace: False
    - user: mysql
    - group: mysql
    - recurse:
      - user
      - group
    - require:
      - system_packages_install
