system_bootloader_pkgs:
  pkg.installed:
    - pkgs:
      - syslinux

{% if salt['pillar.get']('disk') != "" and salt['pillar.get']('disk') != None %}
system_bootload_gptmbr:
  cmd.run:
    - name: "dd bs=440 count=1 notrunc if=/usr/share/syslinux/gptmbr.bin of={{ salt['pillar.get']('drive') }}"
    - require:
      - system_bootloader_pkgs
{% endif %}

system_bootloader_install:
  cmd.run:
    - name: 'extlinux --install /boot'
    - require:
      - system_bootloader_pkgs
      {% if salt['pillar.get']('disk') != "" and salt['pillar.get']('disk') != None %}
      - system_bootload_gptmbr
      {% endif %}
